Subject: Re: [PATCH bpf-next v6 2/4] xsk: Support UMEM chunk_size > PAGE_SIZE

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 26 Apr 2023 12:46:58 +0200

Kal Conley <[email-masked]> writes:

> Add core AF_XDP support for chunk sizes larger than PAGE_SIZE. This
> enables sending/receiving jumbo ethernet frames up to the theoretical
> maximum of 64 KiB. For chunk sizes > PAGE_SIZE, the UMEM is required
> to consist of HugeTLB VMAs (and be hugepage aligned). Initially, only
> SKB mode is usable pending future driver work.

So I still really don't understand why this is useful without the driver
support, and I think it's premature to merge it before that is present.
It also seems you didn't address any of the issues we discussed back on
v3, but instead just reposted (and didn't even Cc me, so I missed that
until now).

So, FWIW, consider this my:

Nacked-by: Toke Høiland-Jørgensen <[email-masked]>